Package ch.qos.logback.core.rolling.helper

## Class FileFilterUtil

- java.lang.Object
- - ch.qos.logback.core.rolling.helper.FileFilterUtil

    public class FileFilterUtil
    extends java.lang.Object

### Constructor Summary

Constructors
`FileFilterUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `afterLastSlash​(java.lang.String sregex)`
`static int` `extractCounter​(java.io.File file, java.lang.String stemRegex)`
`static java.io.File[]` `filesInFolderMatchingStemRegex​(java.io.File file, java.lang.String stemRegex)` Return the set of files matching the stemRegex as found in 'directory'.
`static int` `findHighestCounter​(java.io.File[] matchingFileArray, java.lang.String stemRegex)`
`static boolean` `isEmptyDirectory​(java.io.File dir)`
`static void` `removeEmptyParentDirectories​(java.io.File file, int recursivityCount)`
`static void` `reverseSortFileArrayByName​(java.io.File[] fileArray)`
`static java.lang.String` `slashify​(java.lang.String in)`
`static void` `sortFileArrayByName​(java.io.File[] fileArray)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileFilterUtil

    public FileFilterUtil()

### Method Detail

#### sortFileArrayByName

    public static void sortFileArrayByName​(java.io.File[] fileArray)

#### reverseSortFileArrayByName

    public static void reverseSortFileArrayByName​(java.io.File[] fileArray)

#### afterLastSlash

    public static java.lang.String afterLastSlash​(java.lang.String sregex)

#### isEmptyDirectory

    public static boolean isEmptyDirectory​(java.io.File dir)

#### filesInFolderMatchingStemRegex

    public static java.io.File[] filesInFolderMatchingStemRegex​(java.io.File file,
                                                                java.lang.String stemRegex)

Return the set of files matching the stemRegex as found in 'directory'. A stemRegex does not contain any slash characters or any folder separators.

Parameters:
  `file` -
  `stemRegex` -
Returns:

#### findHighestCounter

    public static int findHighestCounter​(java.io.File[] matchingFileArray,
                                         java.lang.String stemRegex)

#### extractCounter

    public static int extractCounter​(java.io.File file,
                                     java.lang.String stemRegex)

#### slashify

    public static java.lang.String slashify​(java.lang.String in)

#### removeEmptyParentDirectories

    public static void removeEmptyParentDirectories​(java.io.File file,
                                                    int recursivityCount)